package com.foreverwin.mesnac.meapi.model;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.extension.activerecord.Model;

import java.io.Serializable;

/**
 * <p>
 * 
 * </p>
 *
 * @author Robert
 * @since 2021-06-03
 */

@TableName("ROUTER_SUBSTEP")

public class RouterSubstep extends Model<RouterSubstep> {

    private static final long serialVersionUID = 1L;

   @TableId(value = "HANDLE", type = IdType.INPUT)
   private String handle;
   @TableField("ROUTER_STEP_BO")
   private String routerStepBo;
   @TableField("SUBSTEP")
   private String substep;
   @TableField("SUBSTEP_ID")
   private String substepId;
   @TableField("SUBSTEP_GROUP")
   private String substepGroup;
   @TableField("SUBSTEP_TYPE")
   private String substepType;
   @TableField("TIMER")
   private Long timer;
   @TableField("SEQUENCE")
   private Long sequence;
   @TableField("DESCRIPTION")
   private String description;
   @TableField("LONG_DESCRIPTION")
   private String longDescription;
   @TableField(exist = false)
   private String site;

   public String getHandle() {
      return handle;
   }

   public void setHandle(String handle) {
      this.handle = handle;
   }

   public String getRouterStepBo() {
      return routerStepBo;
   }

   public void setRouterStepBo(String routerStepBo) {
      this.routerStepBo = routerStepBo;
   }

   public String getSubstep() {
      return substep;
   }

   public void setSubstep(String substep) {
      this.substep = substep;
   }

   public String getSubstepId() {
      return substepId;
   }

   public void setSubstepId(String substepId) {
      this.substepId = substepId;
   }

   public String getSubstepGroup() {
      return substepGroup;
   }

   public void setSubstepGroup(String substepGroup) {
      this.substepGroup = substepGroup;
   }

   public String getSubstepType() {
      return substepType;
   }

   public void setSubstepType(String substepType) {
      this.substepType = substepType;
   }

   public Long getTimer() {
      return timer;
   }

   public void setTimer(Long timer) {
      this.timer = timer;
   }

   public Long getSequence() {
      return sequence;
   }

   public void setSequence(Long sequence) {
      this.sequence = sequence;
   }

   public String getDescription() {
      return description;
   }

   public void setDescription(String description) {
      this.description = description;
   }

   public String getLongDescription() {
      return longDescription;
   }

   public void setLongDescription(String longDescription) {
      this.longDescription = longDescription;
   }

public static final String HANDLE = "HANDLE";

public static final String ROUTER_STEP_BO = "ROUTER_STEP_BO";

public static final String SUBSTEP = "SUBSTEP";

public static final String SUBSTEP_ID = "SUBSTEP_ID";

public static final String SUBSTEP_GROUP = "SUBSTEP_GROUP";

public static final String SUBSTEP_TYPE = "SUBSTEP_TYPE";

public static final String TIMER = "TIMER";

public static final String SEQUENCE = "SEQUENCE";

public static final String DESCRIPTION = "DESCRIPTION";

public static final String LONG_DESCRIPTION = "LONG_DESCRIPTION";


   @Override
   protected Serializable pkVal() {
      return this.handle;
   }

   @Override
   public String toString() {
      return "RouterSubstep{" +
         "handle = " + handle +
         ", routerStepBo = " + routerStepBo +
         ", substep = " + substep +
         ", substepId = " + substepId +
         ", substepGroup = " + substepGroup +
         ", substepType = " + substepType +
         ", timer = " + timer +
         ", sequence = " + sequence +
         ", description = " + description +
         ", longDescription = " + longDescription +
         "}";
   }
}